D-Bus 1.13.18

Data Fields
DBusRealString Struct Reference

Internals of DBusString. More...

`#include <dbus-string-private.h>`

## Data Fields
unsigned char * | str
| String data, plus nul termination.
int | len
| Length without nul.
int | allocated
| Allocated size of data.
unsigned int | constant: 1
| String data is not owned by DBusString.
unsigned int | locked: 1
| DBusString has been locked and can't be changed.
unsigned int | valid: 1
| DBusString is valid (initialized and not freed)
unsigned int | align_offset: 3
| str - align_offset is the actual malloc block

## Detailed Description

Internals of DBusString.

DBusString internals. DBusString is an opaque objects, it must be used via accessor functions.

Definition at line 43 of file dbus-string-private.h.

The documentation for this struct was generated from the following file:

- dbus-string-private.h